﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApp60
{
    public partial class Form1 : Form
    {
        DataTable dt;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            dt = new DataTable();
            dt.Columns.Add("Code", typeof(string));
            dt.Columns.Add("Description", typeof(string));
            dt.Columns.Add("Filer", typeof(string));
            dt.Columns.Add("createdDate", typeof(DateTime));

            for (int i = 0; i < 10; i++)
            {
                var c = (char)(i + 65);
                var code = new string(c, 2);
                var description = new string(c, 10);
                var filer = DummyDataCreator.RandomString(10);
                var createdDate = DateTime.Today.Add(new TimeSpan(2 * (i+1), 0, 0, 0));
                dt.Rows.Add(new object[] {
                    code,
                    description,
                    filer,
                    createdDate
                });
            }

            dt.AcceptChanges();

            this.ultraCombo1.ValueMember = "Code";
            this.ultraCombo1.DisplayMember = "Description";
            this.ultraCombo1.InitializeLayout += UltraCombo1_InitializeLayout;
            this.ultraCombo1.SetDataBinding(dt, null);
        }

        private void UltraCombo1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            var layout = e.Layout;
            var band = layout.Bands[0];
            band.Columns["CreatedDate"].SortIndicator = Infragistics.Win.UltraWinGrid.SortIndicator.Descending;
        }
    }
}
